/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: ServerSOAPHandler.java 52501 2007-01-24 02:29:49Z lschwenk $
 */

package com.sun.ts.tests.jaxws.wsa.w2j.document.literal.requiredfalse;

import com.sun.ts.tests.jaxws.wsa.common.WsaBaseSOAPHandler;
import com.sun.ts.tests.jaxws.wsa.common.ActionNotSupportedException;
import javax.xml.ws.handler.soap.SOAPMessageContext;
import com.sun.ts.lib.util.*;

public class ServerSOAPHandler extends WsaBaseSOAPHandler {
    protected void checkInboundAction(SOAPMessageContext context, String oper, String action) {
	TestUtil.logMsg("ServerSOAPHandler.checkInboundAction: [operation="+oper+ ", input action="+action+"]");
	System.out.println("ServerSOAPHandler.checkInboundAction: [operation="+oper+ ", input action="+action+"]");
        if (oper.equals("addNumbers")) {
            if (!action.equals(TestConstants.ADD_NUMBERS_IN_ACTION)) {
                throw new ActionNotSupportedException(action);
            }
        } else if (oper.equals("addNumbers2")) {
            if (!action.equals(TestConstants.ADD_NUMBERS2_IN_ACTION)) {
                throw new ActionNotSupportedException(action);
            }
        } else if (oper.equals("addNumbers3")) {
            if (!action.equals(TestConstants.ADD_NUMBERS3_IN_ACTION)) {
                throw new ActionNotSupportedException(action);
            }
        } else if (oper.equals("addNumbers4")) {
            if (!action.equals(TestConstants.ADD_NUMBERS4_IN_ACTION)) {
                throw new ActionNotSupportedException(action);
            }
        } else if (oper.equals("addNumbers5")) {
            if (!action.equals(TestConstants.ADD_NUMBERS5_IN_ACTION)) {
                throw new ActionNotSupportedException(action);
            }
        } else if (oper.equals("addNumbers6")) {
            if (!action.equals(TestConstants.ADD_NUMBERS6_IN_ACTION)) {
                throw new ActionNotSupportedException(action);
            }
        } else if (oper.equals("addNumbers7")) {
            if (!action.equals(TestConstants.ADD_NUMBERS7_IN_ACTION)) {
                throw new ActionNotSupportedException(action);
            }
        } else if (oper.equals("addNumbers8")) {
            if (!action.equals(TestConstants.ADD_NUMBERS8_IN_ACTION)) {
                throw new ActionNotSupportedException(action);
            }
        }
    }

    protected String whichHandler() { return "ServerSOAPHandler"; }
}
